light-mode-image
Learn
API ReferenceCWT PDF templates

Retrieve all PDF templates

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_STARTCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESSCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_FAIL
GET/v2/credentials/compact/pdf/templates

Retrieves a list of all CWT credentials PDF templates available on the tenant.

Analytic events

  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_START
  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESS
  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/credentials/compact/pdf/templates"
{  "nextCursor": "string",  "data": [    {      "id": "string",      "name": "string",      "fileName": "string",      "fonts": [        {          "name": "string",          "fileName": "string"        }      ],      "metadata": {        "title": "string"      },      "fields": [        {          "key": "string",          "value": "string",          "isRequired": true,          "alternativeText": "string",          "fontName": "string"        }      ]    }  ]}

How would you rate this page?